Fields - Create

Create a new field.

POST https://dev.azure.com/{organization}/{project}/_apis/wit/fields?api-version=5.0

URI Parameters

Name In Required Type Description
organization
path True
  • string

The name of the Azure DevOps organization.

project
path
  • string

Project ID or project name

api-version
query True
  • string

Version of the API to use. This should be set to '5.0' to use this version of the api.

Request Body

Name Type Description
_links

Link references to related REST resources.

canSortBy
  • boolean

Indicates whether the field is sortable in server queries.

description
  • string

The description of the field.

isIdentity
  • boolean

Indicates whether this field is an identity field.

isPicklist
  • boolean

Indicates whether this instance is picklist.

isPicklistSuggested
  • boolean

Indicates whether this instance is a suggested picklist .

isQueryable
  • boolean

Indicates whether the field can be queried in the server.

name
  • string

The name of the field.

picklistId
  • string

If this field is picklist, the identifier of the picklist associated, otherwise null

readOnly
  • boolean

Indicates whether the field is [read only].

referenceName
  • string

The reference name of the field.

supportedOperations

The supported operations on this field.

type

The type of the field.

url
  • string
usage

The usage of the field.

Responses

Name Type Description
200 OK

successful operation

Security

oauth2

Type: oauth2
Flow: accessCode
Authorization URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

Scopes

Name Description
vso.work_write Grants the ability to read, create, and update work items and queries, update board metadata, read area and iterations paths other work item tracking related metadata, execute queries, and to receive notifications about work item events via service hooks.

Definitions

FieldType

The type of the field.

FieldUsage

The usage of the field.

ReferenceLinks

The class to represent a collection of REST reference links.

WorkItemField

Describes a field on a work item and it's properties specific to that work item type.

WorkItemFieldOperation

Describes a work item field operation.

FieldType

The type of the field.

Name Type Description
boolean
  • string

Boolean field type.

dateTime
  • string

Datetime field type.

double
  • string

Double field type.

guid
  • string

Guid field type.

history
  • string

History field type.

html
  • string

HTML (Multiline) field type.

identity
  • string

Identity field type.

integer
  • string

Integer field type.

picklistDouble
  • string

Double picklist field type.

picklistInteger
  • string

Integer picklist field type.

picklistString
  • string

String picklist field type.

plainText
  • string

Plain text field type.

string
  • string

String field type.

treePath
  • string

Treepath field type.

FieldUsage

The usage of the field.

Name Type Description
none
  • string

Empty usage.

tree
  • string

Treenode field usage.

workItem
  • string

Work item field usage.

workItemLink
  • string

Work item link field usage.

workItemTypeExtension
  • string

Work Item Type Extension usage.

The class to represent a collection of REST reference links.

Name Type Description
links
  • object

The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only.

WorkItemField

Describes a field on a work item and it's properties specific to that work item type.

Name Type Description
_links

Link references to related REST resources.

canSortBy
  • boolean

Indicates whether the field is sortable in server queries.

description
  • string

The description of the field.

isIdentity
  • boolean

Indicates whether this field is an identity field.

isPicklist
  • boolean

Indicates whether this instance is picklist.

isPicklistSuggested
  • boolean

Indicates whether this instance is a suggested picklist .

isQueryable
  • boolean

Indicates whether the field can be queried in the server.

name
  • string

The name of the field.

picklistId
  • string

If this field is picklist, the identifier of the picklist associated, otherwise null

readOnly
  • boolean

Indicates whether the field is [read only].

referenceName
  • string

The reference name of the field.

supportedOperations

The supported operations on this field.

type

The type of the field.

url
  • string
usage

The usage of the field.

WorkItemFieldOperation

Describes a work item field operation.

Name Type Description
name
  • string

Name of the operation.

referenceName
  • string

Reference name of the operation.